package com.range.converttohtml;

import com.grapecity.documents.excel.Workbook;

import java.awt.Desktop;
import java.io.File;
import java.io.IOException;

import com.grapecity.documents.excel.CssExportType;
import com.grapecity.documents.excel.drawing.HtmlSaveOptions;

public class App {
	
  private static String inputFilePath = "input.xlsx";
  private static String outputFilePath = "output.html";
  
  public static void main(String[] args) {
    ConvertRangeToHtml();
    openFile(outputFilePath);
  }
  
  private static void ConvertRangeToHtml() {
	  Workbook book = new Workbook();
	  book.open(inputFilePath);
	  HtmlSaveOptions htmlSaveOptions = new HtmlSaveOptions();
	  
	  htmlSaveOptions.setExportSheetName(book.getWorksheets().get(0).getName());
	  htmlSaveOptions.setExportArea("B2:E2");
	  
	  htmlSaveOptions.setExportImageAsBase64(true);
	  htmlSaveOptions.setCssExportType(CssExportType.Internal);
	  htmlSaveOptions.setExportGridlines(true);
	  
	  book.save(outputFilePath, htmlSaveOptions);
  }
  
  private static void openFile(String filePath) {
	  File file = new File(filePath);
      try {
          if (Desktop.isDesktopSupported()) {
              Desktop desktop = Desktop.getDesktop();
              if (file.exists()) {
                  desktop.open(file);
              } else {
                  System.err.println("File does not exist: " + file.getAbsolutePath());
              }
          } else {
              System.err.println("Desktop is not supported.");
          }
      } catch (IOException e) {
          e.printStackTrace();
          System.err.println("Error opening file: " + e.getMessage());
      }
	}
}
